if(NOT VEER_PROTOCOLS_IS_EXTERNAL_PROJECT)
  set(VEER_PROTOCOLS_PREFIX
      ""
      CACHE PATH "The path to the prefix of an veer protocols installation")

  find_path(
    VEER_PROTOCOLS_INCLUDE_DIRS
    NAMES veer/common/ports.hpp
    PATHS ${VEER_PROTOCOLS_PREFIX}/include)

  if(VEER_PROTOCOLS_INCLUDE_DIRS)
    set(VEER_PROTOCOLS_FOUND TRUE)
  endif()

  if(VEER_PROTOCOLS_FOUND)
    if(NOT VEER_PROTOCOLS_FIND_QUIETLY)
      message(STATUS "Found veer protocols")
    endif()
    set(HAVE_VEER_PROTOCOLS 1)
  elseif(VEER_PROTOCOLS_FOUND)
    if(VEER_PROTOCOLS_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find veer protocols")
    endif()
  endif()
endif()
